Bug 168090 - ipmi_poweroff driver update for Dell <8G servers
ipmi_poweroff driver update for Dell <8G servers
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Martuccelli
Brian Brock
Depends On:
Blocks: 168429
  Show dependency treegraph
Reported: 2005-09-12 07:17 EDT by Bastien Nocera
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version: RHSA-2006-0132
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-03-07 14:53:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
ipmi-dell-chassis-poweroff.patch (2.05 KB, patch)
2005-09-12 07:17 EDT, Bastien Nocera
no flags Details | Diff
ipmi-33.9.patch (second patch provided by Dell) (86.29 KB, patch)
2005-11-02 12:56 EST, Samuel Benjamin
no flags Details | Diff

  None (edit)
Description Bastien Nocera 2005-09-12 07:17:47 EDT
ipmi_poweroff doesn't work on Dell servers earlier than 8G because they don't
set a particular "chassis support" bit in their Get Device ID command response,
even though they support the standard command to power off or powercycle the system.

Patch from Matt Domsch <Matt_Domsch@Dell.com> attached
Comment 1 Bastien Nocera 2005-09-12 07:17:48 EDT
Created attachment 118706 [details]
Comment 2 Bastien Nocera 2005-09-12 07:20:35 EDT
The patch is included upstream (in 2.6.14-rc1), and should apply cleanly to the
latest RHEL4 U3 kernel (2.6.9-17.EL)
Comment 11 Samuel Benjamin 2005-11-02 12:56:37 EST
Created attachment 120654 [details]
ipmi-33.9.patch (second patch provided by Dell)
Comment 13 Samuel Benjamin 2005-11-03 11:44:20 EST
The same deal applies to this ipmi driver patch for rhel4 (as in rhel3). 

Matt Domsch@Dell tells me that the patch has been tested and verifed to work. We
can lean on them to do future testing as well. This patch is a combination of
the many smaller fixes that are required to fix the IPMI driver. It was included
upstream in Corey Minyard's IPMI driver.

It is important for Dell to get these fixes into U3.
Comment 18 Peter Martuccelli 2005-11-17 11:20:21 EST
Patch posted for inclusion in RHEL4 U3 11/16.
Comment 28 Red Hat Bugzilla 2006-03-07 14:53:07 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.